# Contents

[Preface](0%20-%20Preface.md)

1. Introduction
    1. Models
    2. System Identification
    3. Linear or Nonlinear System Identification
	    1. Linear Models
	    2. Nonlinear Models
    4. NARMAX Methods
    5. What is the Purpose of System Identification?
    6. Is System Identification Machine Learning?
    7. Nonlinear System Identification and Forecasting Applications: Case Studies
    8. Abbreviations
    9. Variables
    10. Book Organization
2. NARMAX Model Representation
    1. Basis Function
    2. Linear Models
	    1. ARMAX
	    2. ARX
	    3. ARMA
	    4. AR
	    5. FIR
	    6. Other Variants
	3. Nonlinear Models
		1. NARMAX
		2. NARMA
		3. NAR
		4. NFIR
		5. Mixed NARMAX Models
		6. Neural NARX Network
		7. General Model Set Representation
		8. MIMO Models
3. Parameter Estimation
    1. Least Squares
    2. Total Least Squares
    3. Recursive Least Squares
    4. Least Mean Squares
    5. Extended Least Squares Algorithms
4. Model Structure Selection
    1. Introduction
    2. The Forward Regression Orthogonal Least Squares
	    1. Case Study
	3. Information Criteria
		1. Overview of the Information Criteria Methods
			1. AIC
			2. AICc
			3. BIC
			4. LILC
			5. FPE
    4. Meta Model Structure Selection (MetaMSS)
	    1. Meta-heuristics
	    2. Standard Particle Swarm Optimization (PSO)
	    3. Standard Gravitational Search Algorithm (GSA)
	    4. The Binary Hybrid Optimization Algorithm
	    5. Meta-Model Structure Selection (MetaMSS): Building NARX for Regression
	    6. Case Studies: Simulation Results
	    7. MetaMSS vs FROLS
	    8. Meta-MSS vs RJMCMC
	    9. MetaMSS algorithm using SysIdentPy
    5. Accelerated Orthogonal Least Squares
    6. Entropic Regression
5. Multiobjective Parameter Estimation
    1. Introduction
    2. Multi-objective optimization problem
    3. Pareto Optimal Definition and Pareto Dominance
    4. Affine Information Least Squares Algorithm
    5. Case Study - Buck converter
6. Multiobjective Model Structure Selection
    1. Introduction
    2. Multiobjective Error Reduction Ratio
    3. Multiobjective Meta Model Structure Selection
    4. Case Studies
    5. References
7. NARX Neural Network
    1. Introduction
    2. NARX Neural Network
    3. NARX Neural Network vs. Recursive Neural Network
    4. Case Studies
    5. References
8. Severely Nonlinear Systems
    1. Introduction
    2. Modeling Hysteresis With Polynomial NARX Model
    3. Continuous-time loading-unloading quasi-static signal
    4. Hysteresis loops in continuous time $\mathcal{H}_t(\omega)$
    5. Rate Independent Hysteresis  in polynomial NARX model
9. Validation
    1. The `predict` Method in SysIdentPy
    2. Infinity-Step-Ahead Prediction
    3. One-step Ahead Prediction
    4. n-step Ahead Prediction
    5. Model Performance
    6. Metrics Available in SysIdentPy
    7. Case study
10. Case Studies: System Identification and Forecasting
    1. M4 Dataset
    2. Coupled Eletric Device
    3. Wiener-Hammerstein
    4. Air Passenger Demand Forecasting
    5. System With Hysteresis - Modeling a Magneto-rheological Damper Device
    6. Silver box
    7. F-16 Ground Vibration Test Benchmark
    8. PV Forecasting
    9. Industrial Robot Identification Benchmark (coming soon)
    10. Two-Story Frame with Hysteretic Links (coming soon)
    11. Cortical Responses Evoked by Wrist Joint Manipulation (coming soon)
    13. Total quarterly beer production in Australia (coming soon)
    14. Australian Domestic Tourism Demand (coming soon)
    15. Electric Power Consumption (coming soon)
    16. Gas Rate CO2 (coming soon)
    17. Number of Patients Seen With Influenza-like Illness (coming soon)
    18. Monthly Sales of Heaters and Ice Cream (coming soon)
    19. Monthly Production of Milk (coming soon)
    20. Half-hourly Electricity Demand in England and Wales (coming soon)
    21. Daily Temperature in Melbourne (coming soon)
    22. Weekly U.S. Product Supplied of Finished Motor Gasoline (coming soon)
    23. Australian Total Wine Sales (coming soon)
    24. Quarterly Production of Woollen Yarn in Australia (coming soon)
    25. Hourly Nuclear Energy Generation (coming soon)
